Loading...
Searching...
No Matches
npolygon.cc File Reference
`#include "kernel/mod2.h"`
`#include "polys/monomials/p_polys.h"`
`#include "polys/monomials/ring.h"`
`#include "kernel/spectrum/GMPrat.h"`
`#include "kernel/spectrum/kmatrix.h"`
`#include "kernel/spectrum/npolygon.h"`
`#include "kernel/structs.h"`

Go to the source code of this file.

## Macros

#define | NPOLYGON_CC

## Functions

int | operator== (const linearForm &l1, const linearForm &l2)

## Macro Definition Documentation

## NPOLYGON_CC

#define NPOLYGON_CC

Definition at line 8 of file npolygon.cc.

## Function Documentation

## operator==()

int operator== | ( | const linearForm & | l1,
|  | const linearForm & | l2 )

Definition at line 172 of file npolygon.cc.

{
if( l1.N!=l2.N )
return FALSE;
for( int i=l1.N-1; i >=0 ; i-- )
{
if( l1.c[i]!=l2.c[i] )
return FALSE;
}
return TRUE;
}
TRUE
#define TRUE
Definition auxiliary.h:101
FALSE
#define FALSE
Definition auxiliary.h:97
i
int i
Definition cfEzgcd.cc:132
linearForm::c
Rational * c
Definition npolygon.h:22
linearForm::N
int N
Definition npolygon.h:23